<script setup lang="ts">
import Layout from "@/components/Layout.vue";
import { useRouter } from "vue-router";
const router = useRouter();

const navigateToBirdHouses = () => {
  router.push("/birdhouses");
};
</script>

<template>
  <Layout>
    <div class="bg-very-dark-gray flex flex-col items-center justify-center flex-grow">
      <div class="text-white font-poppins font-semibold text-2xl leading-9 mb-6">Home page</div>
      <button class="bg-periwinkle-blue text-white px-4 py-2 rounded-lg flex items-center space-x-2" @click="navigateToBirdHouses">
        <span class="pl-1 py-1 leading-6 font-poppins font-semibold">To BirdHouses overview</span>
        <img src="@/assets/icons/arrow-right.svg" alt="Arrow Right" />
      </button>
    </div>
  </Layout>
</template>
